commit ac0e3d61eb6822054a142306370d75de65c5a2f3
Author: freddy77 <freddy77>
Date:   Mon Jul 5 06:59:35 2010 +0000

    fix possible problem using utf8 on Sybase

diff --git a/ChangeLog b/ChangeLog
index d14cd87..4929407 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Jul  5 08:58:59 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c: fix possible problem using utf8 on Sybase
+
 Sat Jul  3 11:49:05 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac src/odbc/odbc.c: minor issues
 
@@ -2587,4 +2590,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3057 2010/07/03 09:49:11 freddy77 Exp $
+$Id: ChangeLog,v 1.3058 2010/07/05 06:59:35 freddy77 Exp $
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index a030452..6a4fa48 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -61,7 +61,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.541 2010/07/03 09:49:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.542 2010/07/05 06:59:36 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv, SQLINTEGER odbc_version);
@@ -5997,6 +5997,8 @@ SQLGetTypeInfo(SQLHSTMT hstmt, SQLSMALLINT fSqlType)
 		resinfo = tds->current_results;
 		colinfo = resinfo->columns[0];
 		name = (char *) colinfo->column_data;
+		if (is_blob_col(colinfo))
+			name = (char*) ((TDSBLOB *) name)->textvalue;
 		/* skip nvarchar and sysname */
 		if (colinfo->column_cur_size == 7 && memcmp("varchar", name, 7) == 0) {
 			varchar_pos = n;

